/***************************** LICENSE START ***********************************

 Copyright 2012 ECMWF and INPE. This software is distributed under the terms
 of the Apache License version 2.0. In applying this license, ECMWF does not
 waive the privileges and immunities granted to it by virtue of its status as
 an Intergovernmental Organization or submit itself to any jurisdiction.

 ***************************** LICENSE END *************************************/

#include "inc_iostream.h"
#include "MvObsUtil.h"
#include "MvObsSet.h"


//-----
//-- this lonely wolf is here because both GKS and libFTimeUtil (used by
//-- MvObs) define type Int => NAME CLASH!
//-----

MvDate minObsTime(const Cached& filename)
{
    MvObsSet myObsSet(filename);

    return myObsSet.minDate();
}


MvDate maxObsTime(const Cached& filename)
{
    MvObsSet myObsSet(filename);

    return myObsSet.maxDate();
}
